Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: JAVA firefox  (gelezen 4201 keer)

Offline johande

  • Lid
  • Steunpunt: Nee
JAVA firefox
« Gepost op: 2011/05/09, 13:59:53 »
Ik kan sinds een paar dagen niet meer inloggen met EID op de site van een bank. Volgens de helpdesk van de bank hefet dit 1 van de volgende redenen:

*Mogelijk beschikt u niet over de meest recente JAVA versie. Downloaden van JAVA zou
het probleem moeten oplossen.

* Ofwel wordt JAVA momenteel geblokkeerd: bvb door een beveiligingsprogramma, door
een firewall, door een plug-in (voorbeelden van plug-ins zijn: plug-in zodat je
geen reclame meer te zien krijgt, dat Flashplayer niet wordt geladen, Zo bestaat
er ook een plug-in die zorgt dat JAVA wordt geblokkeerd.


Dit is echter plots gekomen. zonder dat ik iets wijzigde aan mijn PC. Is JAVA standaard geinstalleerd in Firefox?

Offline erik1984

  • Lid
    • erik1984
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #1 Gepost op: 2011/05/09, 14:07:07 »
Ja voor zover ik weet wel, volgens mij krijg je automatisch de IcedTea plugin voor FireFox. Heb je misschien een scriptblocker aanstaan?

Offline johande

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #2 Gepost op: 2011/05/09, 14:10:23 »
alvast bedankt....

Ja voor zover ik weet wel, volgens mij krijg je automatisch de IcedTea plugin voor FireFox.
IcedTea zou dus bij de plugins in de lijst moeten staan

Heb je misschien een scriptblocker aanstaan?
Waar kan ik dat zien?

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #3 Gepost op: 2011/05/09, 14:22:02 »
Als je niet weet waar je dat kan zien, dan heb je er dus geen geïnstalleerd.

Misschien is ie incompatibel met OpenJDK/IcedTea. Probeer eens of het helpt als je via Synaptic openjdk verwijderd en sun-java erop zet (moet je wel bij Softwarebronnen de Partner-pakketbron aanzetten).

Offline johande

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #4 Gepost op: 2011/05/09, 14:25:55 »
kan zoiets gewijzigd zijn via gewoon updatebeheer, want vroeger werkte alles wel?

Offline Mikkel

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #5 Gepost op: 2011/05/09, 16:27:03 »
Welke Ubuntu-versie gebruik je? Heb eens ergens iets gelezen over EID en 'niet meer ondersteunde Ubuntu-versies', maar dat ging toen wel over erg oude versies, hoor. ;)

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #6 Gepost op: 2011/05/09, 16:30:20 »

Offline Erik Krom

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #7 Gepost op: 2011/05/09, 16:43:34 »
Als je niet weet waar je dat kan zien, dan heb je er dus geen geïnstalleerd.
Dit vind ik iets te snel gezegd.

@Johande: Welke add-ons heb je?

EDIT: verkeerde deel van de guote verwijderd.
« Laatst bewerkt op: 2011/05/09, 18:41:13 door Erik Krom »

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #8 Gepost op: 2011/05/09, 17:46:32 »
@Erik: Hoezo iets te snel gezegd? Het gebeurt wel vaker dat OpenJDK niet helemaal compatibel is met dingen. Hier ook en dat is bij meerdere mensen het geval. Dus ik zie niet in waarom een tip voor de officiële Java te snel is.

Offline Erik Krom

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #9 Gepost op: 2011/05/09, 18:39:40 »
Sorry, mijn excuses voor de onduidelijkheid.
Ik bedoelde de opmerking dat er geen add-ons zouden zijn geïnstalleerd die het probleem zouden kunnen brengen.

Heb het bericht ff aangepast.

Offline johande

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #10 Gepost op: 2011/05/09, 18:52:36 »
Blijkt dat ze de inlogmodule bij de bank aan het aanpassen zijn...
Heb ook effe getest met een andere PC en daar laadt de applet ook niet. Effe wachten tot de bank zijn werk gedaan heeft dus voordat ik ga knoeien...

Toch iedereen bedankt.

Offline elendil

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #11 Gepost op: 2011/05/09, 22:52:13 »
Laat zo'n bank dat dan mededelen aan haar klanten, zonder dat ze die klanten de stuipen op het lijf jagen met vage meldingen over java!


-=[ Not all those who wander are lost ]=-

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #12 Gepost op: 2011/05/09, 22:58:00 »
Laat een bank überhaupt geen Java gebruiken!

Offline johande

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #13 Gepost op: 2011/05/10, 08:15:32 »
Laat dit, laat dat.... Ik ben niet in de positie om dat op te leggen ^-^

...maar, het is nochthans een "internet"-bank die veiligheid hoog in het vaandel draagt. Wat zijn juist de redenen om geen JAVA te gebruiken, en wat zouden ze dan wel moeten gebruiken?
« Laatst bewerkt op: 2011/05/10, 08:17:12 door johande »

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #14 Gepost op: 2011/05/10, 15:38:58 »
Gewoon HTML. ING Bank gebruikt gewoon HTML met CSS, tenminste voor het internetbankieren dan. Daardoor werkt het in bijna elke browser. Of Ajax gebruiken, dan werkt het ook in bijna elke browser. Probleem met Java is is dat het 3rd-party iets is, net als Flash. Daarom is een native iets altijd beter, omdat je dan zorgt voor out-of-the-box comptabiliteit met de meeste browsers.

Offline johande

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #15 Gepost op: 2011/05/11, 08:05:43 »
Het is eigelijk raar. Elders(IE8) lukt de EID inlogmodule wel... blijkbaar enkel in Firefox onder Ubuntu werkt ze niet.
Het gaat om deze site, door klikken naar "toegang voor clienten" rechts boven en dan op EID. Testen jullie even of deze module bij jullie werkt?

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #16 Gepost op: 2011/05/11, 10:13:57 »
Ik ken EID niet, maar het lijkt me te lukken. Werkt inderdaad met Java. Schakel eens over op Oracle (Sun) Java: http://sites.google.com/site/computertip/java

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu. ♥
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #17 Gepost op: 2011/05/11, 10:16:59 »
Gaat hier ook met Open JDK in FF 3.6.17 (Lucid)
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.4 Lts 64 bits stand alone. ♥
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren.

Offline johande

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #18 Gepost op: 2011/05/11, 10:24:53 »
Ik ken EID niet, maar het lijkt me te lukken. Werkt inderdaad met Java. Schakel eens over op Oracle (Sun) Java: http://sites.google.com/site/computertip/java

ik had deze handleiding al gevolgd, welke JAVA heb ik dan standaard?
Ik krijg als fout onderaan in Firefox 3.6.17: "Start: applet not initialized"

PS: ik kan vanavond pas testen
PS: Ik ga eerst even de Icedtea plugin proberen te verwijderen
« Laatst bewerkt op: 2011/05/11, 10:58:24 door johande »

Offline johande

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #19 Gepost op: 2011/05/11, 17:27:04 »
icedtea verwijderen hielp niet

Ik ken EID niet, maar het lijkt me te lukken. Werkt inderdaad met Java. Schakel eens over op Oracle (Sun) Java: http://sites.google.com/site/computertip/java

ik hebn openjdk verwijdert, maar synaptic, vind niet van JRE terug om daarna te installeren?

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu. ♥
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #20 Gepost op: 2011/05/11, 17:46:58 »
jre < Dat moet u ingeven in het zoekvak dus met kleine letters en geen hoofd letters.
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.4 Lts 64 bits stand alone. ♥
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren.

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #21 Gepost op: 2011/05/11, 18:32:40 »
En natuurlijk eerst de partnerbron inschakelen. Zoals ook in de handleiding staat.  :P

Offline johande

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #22 Gepost op: 2011/05/11, 20:04:48 »
na de installatie van de SUN variant krijg ik volgende fout
Java Plug-in 1.6.0_24
Using JRE version 1.6.0_24-b07 Java HotSpot(TM) Client VM
User home directory = /home/username
----------------------------------------------------
c:   clear console window
f:   finalize objects on finalization queue
g:   garbage collect
h:   display this help message
l:   dump classloader list
m:   print memory usage
o:   trigger logging
q:   hide console
r:   reload policy configuration
s:   dump system and deployment properties
t:   dump thread list
v:   dump thread stack
x:   clear classloader cache
0-5: set trace level to <n>
----------------------------------------------------


load: class keytradebank\eidapplet\LoginApplet.class not found.
java.lang.ClassNotFoundException: keytradebank\eidapplet\LoginApplet.class
at sun.plugin2.applet.Applet2ClassLoader.findClass(Applet2ClassLoader.java:252)
at sun.plugin2.applet.Plugin2ClassLoader.loadClass0(Plugin2ClassLoader.java:250)
at sun.plugin2.applet.Plugin2ClassLoader.loadClass(Plugin2ClassLoader.java:180)
at sun.plugin2.applet.Plugin2ClassLoader.loadClass(Plugin2ClassLoader.java:161)
at java.lang.ClassLoader.loadClass(ClassLoader.java:248)
at sun.plugin2.applet.Plugin2ClassLoader.loadCode(Plugin2ClassLoader.java:687)
at sun.plugin2.applet.Plugin2Manager.createApplet(Plugin2Manager.java:3025)
at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Plugin2Manager.java:1498)
at java.lang.Thread.run(Thread.java:662)
Exception: java.lang.ClassNotFoundException: keytradebank\eidapplet\LoginApplet.class

Offline johande

  • Lid
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #23 Gepost op: 2011/05/14, 12:06:07 »
Hoe kan ik de SUN versie van JAva upgraden naar versie 25? In IE staat die op versie 25 en daar werkt alles terug. in Ubuntu krijg ik de JAVA versie niet direkt op versie 25.
Iemand een idee?

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu. ♥
  • Steunpunt: Nee
Re: JAVA firefox
« Reactie #24 Gepost op: 2011/05/14, 12:47:35 »
Als daar een update voor is ,dan zult u die automatisch bekomen hoeft u dus verder niks voor te doen.
Wat wel is ,de Windows gebruikers gaan hem wel iets eerder krijgen dan de Linux gebruikers.
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.4 Lts 64 bits stand alone. ♥
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren.